Page MenuHomePhabricator

Ref list blanks after first transaction when section editing on mobile
Closed, ResolvedPublic

Description

This is because the hacks we put in ve.ce.BranchNode to not rendered anything except the section still apply when build CE nodes for the preview.

  1. Open a section with a reference list in it on mobile
  2. Type something
  3. Observe the reference list is now blank

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (e16b98e25)
VisualEditor/VisualEditor : masterRender internal item nodes when requested individually

Event Timeline

Esanders created this task.Jul 15 2019, 3:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 15 2019, 3:35 PM

Change 523207 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Render internal item nodes when requested individually

https://gerrit.wikimedia.org/r/523207

Esanders added a subscriber: dchan.Jul 15 2019, 3:49 PM

Change 523207 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Render internal item nodes when requested individually

https://gerrit.wikimedia.org/r/523207

Change 523311 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (e16b98e25)

https://gerrit.wikimedia.org/r/523311

Esanders updated the task description. (Show Details)Jul 15 2019, 9:13 PM

Change 523311 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (e16b98e25)

https://gerrit.wikimedia.org/r/523311

matmarex moved this task from Inbox to High Priority on the Editing QA board.Jul 15 2019, 11:32 PM
Ryasmeen edited projects, added Verified; removed Editing QA.Jul 26 2019, 3:04 PM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
ppelberg closed this task as Resolved.Sep 3 2019, 12:08 AM